Bug 475334 - [LTC 5.4 FEAT] FCP - Performance Data collection (kernel) [201590]
[LTC 5.4 FEAT] FCP - Performance Data collection (kernel) [201590]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: OtherQA, Patch, Reopened
Depends On: 472898 493385
Blocks: 445204 RHEL5u4_relnotes 483701 483784
  Show dependency treegraph
 
Reported: 2008-12-08 16:50 EST by IBM Bug Proxy
Modified: 2009-09-03 09:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fibre Channel Protocol (FCP) performance data can be measured on Red Hat Enterprise Linux instances on the IBM System z platform. Metrics that are collected and reported on include: * Performance relevant data on stack components such as Linux devices, Small Computer System Interface (SCSI) Logical Unit Numbers (LUNs) and Host Bus Adapter (HBA) storage controller information. * Per stack component: current values of relevant measurements as throughput, utilization and other applicable measurements. * Statistical aggregations (minimum, maximum, averages and histogram) of data associated with I/O requests including size, latency per component and totals.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-s390-zfcp-perfdata.patch (16.75 KB, text/plain)
2009-01-23 05:43 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50339 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-08 16:50:50 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201590]
a. Name of Feature:	FCP - Performance Data collection  (kernel)
b. Feature Description
The item comprises:
 
 a) facilities which provide performance relevant data (see below) at any time
 
 b) facilities which collect the data provided by a), then associate it with a time stamp and and
store it for future processing
 
      - these facilities are configurable in regard of the type and amount of data collected for the
purpose of reducing the amount of temporarily stored data.
 
      - when data is taken as samples, the sampling interval is configurable
 
      - collected data can be filtered by e.g masks for valid stack components (see below) before
data is stored for further processing
 
 c) facilities which present the data stored by b) in  a human readable way.
 
 d) Data presented shall contain enough information to make FCP performance data comparable with
current capabilities of FICON data collections.
 
 
 
 Data collected comprises:
 
 a) Performance relevant data about stack components as Linux devices, SCSI LUNs and HBA and storage
controller information
 
 b) Per stack component: current values of relevant measurements as throughput, utilization and
other applicable measurements 
 
 c) Statistical aggregations (min, max average, histogram) of data associated with I/O requests as
size, latency per component and in total.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
This item will make possible to have a better understanding of the SCSI activities and performance
of the customer system, being able afterward to better solve FCP issues regarding customer's SCSI
workloads.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):

Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-16 15:57:27 EST
IBM is signed up to test and provide feedback.
Comment 2 RHEL Product and Program Management 2008-12-16 16:18:00 EST
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.
Comment 4 IBM Bug Proxy 2008-12-17 03:30:45 EST
(In reply to comment #5)
> Quality Engineering Management has reviewed and declined this request.  You may
> appeal this decision by reopening this request.
>

Hello Red Hat QEM,
we are still interested in this request.
Could you please explain to IBM what came out of your review and which are the reasons (technical and/or business) to decline this request?

Note that this feature is needed for:
Red Hat Bugzilla - 475333 - IBM LTC Bug 50340   -  [LTC 5.4 FEAT] FCP - Performance Data collection & analysis (userspace) [201591]
Red Hat Bugzilla - 475548 - IBM LTC Bug 50351   -  [LTC 5.4 FEAT] FCP - Performance data collection (blktrace) [201729]
Red Hat Bugzilla - 475552 - IBM LTC Bug 50352   -  [LTC 5.4 FEAT] FCP - Performance data reports [201730]

You can find more information about the FCP - Performance Data collection features here:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html
How to use FC-attached SCSI devices with Linux on System z - SC33-8413-01
Chapters 10 and 12.

Thank you!
Gonzalo Muelas Serrano.
Comment 6 IBM Bug Proxy 2009-01-23 05:43:05 EST
Created attachment 329802 [details]
linux-2.6.18-s390-zfcp-perfdata.patch
Comment 7 Hans-Joachim Picht 2009-02-13 11:53:51 EST
Posted to rhkernel on Feb 13. by Hans-Joachim Picht <hpicht@redhat.com>
Comment 8 RHEL Product and Program Management 2009-02-16 10:19:00 EST
Updating PM score.
Comment 9 IBM Bug Proxy 2009-02-18 10:03:06 EST
Please do not forget to update documentation and/or release notes:

Provides FCP performance data like, SCSI stack, SCSI LUNs, HBA, storage controller information...
??? More details under:
??? ???I/O tracing using blktrace???, ???Collecting FCP performance data with ziomon??? in latest version of How to use FC-attached SCSI
devices with Linux on System z at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 10 John Jarvis 2009-03-06 09:36:55 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 11 Don Zickus 2009-04-06 17:17:24 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 13 Don Zickus 2009-05-05 15:54:57 EDT
moving back to POST to pickup the extra patch bit.
Comment 14 Don Zickus 2009-05-05 15:55:21 EDT
really going to do it this time
Comment 15 Don Zickus 2009-05-12 13:40:27 EDT
in kernel-2.6.18-146.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 17 Chris Ward 2009-06-14 19:17:23 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 18 Chris Ward 2009-07-03 14:15:56 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 19 Shawn Wells 2009-07-08 15:58:05 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This feature allows for the collection of FCP performance data on Red Hat Enterprise Linux instances on the IBM System z platform.

Such metrics include:
- Performance relevant data about stack components as Linux devices, SCSI LUNs and HBA and storage controller information.

- Per stack component: current values of relevant measurements as throughput, utilization and
other applicable measurements .

- Statistical aggregations (min, max average, histogram) of data associated with I/O requests as
size, latency per component and in total.
Comment 20 Chris Ward 2009-07-10 15:07:29 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 22 Ryan Lerch 2009-07-20 18:52:11 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,10 +1,7 @@
-This feature allows for the collection of FCP performance data on Red Hat Enterprise Linux instances on the IBM System z platform.
+Fibre Channel Protocol (FCP) performance data can be measured on Red Hat Enterprise Linux instances on the IBM System z platform. Metrics that are collected and reported on include:
 
-Such metrics include:
-- Performance relevant data about stack components as Linux devices, SCSI LUNs and HBA and storage controller information.
+* Performance relevant data on stack components such as Linux devices, Small Computer System Interface (SCSI) Logical Unit Numbers (LUNs) and Host Bus Adapter (HBA) storage controller information.
 
-- Per stack component: current values of relevant measurements as throughput, utilization and
-other applicable measurements .
+* Per stack component: current values of relevant measurements as throughput, utilization and other applicable measurements.
 
-- Statistical aggregations (min, max average, histogram) of data associated with I/O requests as
+* Statistical aggregations (minimum, maximum, averages and histogram) of data associated with I/O requests including size, latency per component and totals.-size, latency per component and in total.
Comment 23 Caspar Zhang 2009-07-29 00:59:51 EDT
Verified the patches to this bug are included in kernel-2.6.18-160.el5
Comment 24 Chris Ward 2009-08-03 11:44:55 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 25 IBM Bug Proxy 2009-08-03 12:40:36 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 12:34 EDT-------
verified on RHEL 5.4 snapshots - closing feature request
Comment 27 errata-xmlrpc 2009-09-02 04:23:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.